# Class UISessionEvent

java.lang.Object
java.util.EventObject
org.eclipse.rap.rwt.service.UISessionEvent

All Implemented Interfaces:
  `Serializable`

public class UISessionEvent extends EventObject
Events of this type signal a state change of a UI session.

Since:
  2.0
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`UISessionEvent(UISession uiSession)`
Creates a new instance of this class.

## Method Summary

Modifier and Type
Method
Description
`UISession`
`getUISession()`
Returns the UI session that this event is related to.

### Methods inherited from class EventObject

`getSource, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UISessionEvent

public UISessionEvent(UISession uiSession)
Creates a new instance of this class.

Parameters:
  `uiSession` - the UI session for this event

## Method Details

### getUISession

public UISession getUISession()
Returns the UI session that this event is related to.

Returns:
  the UI session